YATE-CONFIG(8)

NAME
yate-config - retrieve metainformation about the YATE telephony engine

SYNOPSIS
yate-config [options]

DESCRIPTION
The yate-config program is used to retrieve information about the installed YATE engine. It is typically used to compile and link modules against the engine's library. Here is a typical usage scenario in a Makefile: module.yate: module.cpp
    g++ `yate-config --c-all --ldflags` module.cpp `yate-config --libs`

OPTIONS

  Version and paths

--version
    Reports the installed YATE version (in x.y.z format)

--release
    Reports the installed YATE code status (if not release) and release number

--config
    Returns the configuration files directory

--modules
    Returns the modules directory

--share
    Returns the base shared directory

--scripts
    Returns the scripts directory

--skins
    Returns the base skins directory

  Compiler flags

--cflags
    Various C++ compiler flags

--includes
    Include option and path to the header files

--c-all
    All compiler options - the above two concatenated

  Linker flags

--ldflags
    Various linker flags

--libs
    Library option and libraries names

--ld-all
    All linker options - the above two concatenated

AUTHORS
Paul Chitescu <paulc@voip.null.ro>
Diana Cionoiu <diana@voip.null.ro>

SEE ALSO
yate(8), pkg-config(1)